# Uses of Interface
org.eclipse.swt.events.ArmListener

Packages that use ArmListener
Package
Description
org.eclipse.swt.widgets
SWT widget public API classes.

## Uses of ArmListener in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets with parameters of type ArmListener
Modifier and Type
Method
Description
`void`
MenuItem.`addArmListener(ArmListener listener)`
Adds the listener to the collection of listeners who will be notified when the arm events are generated for the control, by sending it one of the messages defined in the `ArmListener` interface.
`void`
MenuItem.`removeArmListener(ArmListener listener)`
Removes the listener from the collection of listeners who will be notified when the arm events are generated for the control.